Bug 135513 - vixie-cron 4.1 does not build without SELinux
Summary: vixie-cron 4.1 does not build without SELinux
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vixie-cron
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-13 08:27 UTC by Terje Røsten
Modified: 2007-11-30 22:10 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2005-08-13 20:04:11 UTC


Attachments (Terms of Use)
vixie-cron.spec patch (2.85 KB, patch)
2004-10-13 08:30 UTC, Terje Røsten
no flags Details | Diff
patch to build with pam but without SELinux (554 bytes, patch)
2004-10-13 08:33 UTC, Terje Røsten
no flags Details | Diff
patch to build without pie (541 bytes, patch)
2004-10-13 08:37 UTC, Terje Røsten
no flags Details | Diff

Description Terje Røsten 2004-10-13 08:27:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041003
Firefox/0.10

Description of problem:

I want to use vixie-cron 4.1 on redhat linux 9, fedore core 2
and redhat enterprise linux 3.

I fixed the spec file to build without SELinux, pam and/or
pie. I had to add two patches.

A patch to vixie-cron.spec and the two patches are attached.

srpm, and rpms for redhat linux 9, fedora core 2, and
redhat entreprise linux 3 is available here:

 http://web.phys.ntnu.no/~terjeros/vixie-cron/


Version-Release number of selected component (if applicable):
vixie-cron-4.1-18

How reproducible:
Always

Steps to Reproduce:
Try to rebuild the srpm on redhat linux, fedora core or redhat
enterprise linux.

Comment 1 Terje Røsten 2004-10-13 08:30:03 UTC
Created attachment 105120 [details]
vixie-cron.spec patch

Comment 2 Terje Røsten 2004-10-13 08:33:29 UTC
Created attachment 105122 [details]
patch to build with pam but without SELinux

The patch called vixie-cron-4.1-_27-pam_without_selinux.patch in spec file.

Comment 3 Terje Røsten 2004-10-13 08:37:01 UTC
Created attachment 105123 [details]
patch to build without pie

patch vixie-cron-4.1-_0_rh_Makefile_non_pie.patch in spec file.

Comment 4 Jason Vas Dias 2004-10-13 15:03:25 UTC
 I'll integrate these patches into update releases for RHEL-3 / 
 RHEL-2.1 - thanks.


Comment 5 Jason Vas Dias 2004-11-10 16:55:17 UTC
 vixie-cron-4.1 has now been ported to RHEL-3 
 (removed SELinux support, included LAUS support)
 and should be in RHEL-3-U5 .
 You can download it from:

    http://people.redhat.com/~jvdias/vixie-cron/RHEL-3
  


Note You need to log in before you can comment on or make changes to this bug.